/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
private void configureRules() {
    setVisible(visibilityConsent().isAllowed());
    setEnabled(usabilityConsent().isAllowed());
    final class NakedObjectsPropertyValidator 
            extends AbstractValidator { 
        ...
        protected void onValidate(IValidatable validatable) {
            Object proposedValue = validatable.getValue();
            Consent validityConsent = validityConsent(proposedValue);
            if (validityConsent.isVetoed()) {
                String reason = validityConsent.getReason();
                reasonBuf.setLength(0); // clear
                this.reasonBuf.append(reason);
                error(validatable);
            }
        }
    };
    getFormComponent().add(new NakedObjectsPropertyValidator());
}
